#-------------------------------------------------
#
# Project created by QtCreator 2021-12-19T08:09:36
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = MotorControll_Project
TEMPLATE = app
DEFINES += QT_DEPRECATED_WARNINGS

win32
{
    CONFIG(debug,debug|release)
    {
        LIBS+=$$PWD/xnet/lib/debug/libX_Net.a
    }
    CONFIG(release,debug|release)
    {
        LIBS+=$$PWD/xnet/lib/release/libX_Net.a
    }

    INCLUDEPATH+=\
            $$PWD/xnet/include/ \
            $$PWD/motionctrl/include/
}


SOURCES += main.cpp\
        motorcontroll.cpp \
    base.cpp \
    xnetconnect.cpp \
    addpar.cpp \
    moretypemovement.cpp

HEADERS  += motorcontroll.h \
    base.h \
    xnet/include/x_net.h \
    xnet/include/xnetclient.h \
    xnetconnect.h \
    addpar.h \
    moretypemovement.h

FORMS    += motorcontroll.ui \
    xnetconnect.ui \
    addpar.ui \
    moretypemovement.ui
